commit:     c63591837ebb699a08d7de8720d6520625d5a28e
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 22 07:28:20 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Feb 22 07:28:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6359183

dev-ruby/actionmailer: add 5.2.6.2

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/actionmailer/Manifest                    |  1 +
 dev-ruby/actionmailer/actionmailer-5.2.6.2.ebuild | 50 +++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-ruby/actionmailer/Manifest b/dev-ruby/actionmailer/Manifest
index 4c524970154a..3b3c2224c26e 100644
--- a/dev-ruby/actionmailer/Manifest
+++ b/dev-ruby/actionmailer/Manifest
@@ -1,3 +1,4 @@
+DIST rails-5.2.6.2.tgz 8840302 BLAKE2B 
54c62924252bdbc7df4b07309dc1f96973660db71c68a9b25f8f9e44fb901982cf38242c613a349220ca043ca82984ee740052fc51521a6e1f088d8b77d4f53b
 SHA512 
f639508300258c210253be875066842553487b0ddee2b56c625b7ed99ae5b9d59d62a69181c0910ebc85786d0a5fc1001385f3700fc198d192eccbe753d2e48c
 DIST rails-5.2.6.tgz 8841270 BLAKE2B 
8e813f376446ef249aa3b48934d3cb5ae125c09c54353cc93557c3bee4f23e47ae7ceffab75d5cbfb691daed85149d9054337b468a0010bc5c7ebb879502396b
 SHA512 
465e017591a9962a2e0dec2eac9669d5f507d0904e9eec50fbc8848d804ba5f1eb3220fd5acc949845f048f59cfc5e43f099707650edf301d6595e70e33888c7
 DIST rails-6.0.4.1.tgz 18595307 BLAKE2B 
9a950a45cd04c5fe0cbe57fd014a6997074dcbe8f95fcbb2f5d3b6372867ef8bb0931b909ca8eba623787419f5f45504cdcd477729ba3b3a052f5003229121cd
 SHA512 
322cfa6d0ed62f0660ce2f43003b2a745297f3b82dca486d7e4a9821441ad4ec92c202556515645d141fba31c998e17aa00bbe3d8c2106718e6839f94e88c975
 DIST rails-6.0.4.3.tgz 18594602 BLAKE2B 
99ee38f02ffece7972b34dc4bf8de6aece131fbdd1ac92c01272296e87b033d0a877a4fc724d3acece0442025ff9906a3e735ae75a8313135f2ffc55be988b38
 SHA512 
ae71145cc6e2a532271f6fe063347b261a7c6b1153f4978da5fd539b51b356baa555e731b759d9b49c342b2623b30ff9962396346df66d7e97aeca1fa806b333

diff --git a/dev-ruby/actionmailer/actionmailer-5.2.6.2.ebuild 
b/dev-ruby/actionmailer/actionmailer-5.2.6.2.ebuild
new file mode 100644
index 000000000000..66a548ab61fc
--- /dev/null
+++ b/dev-ruby/actionmailer/actionmailer-5.2.6.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionmailer.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eapi7-ver
+
+DESCRIPTION="Framework for designing email-service layers"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       ~dev-ruby/actionpack-${PV}
+       ~dev-ruby/actionview-${PV}
+       ~dev-ruby/activejob-${PV}
+       >=dev-ruby/mail-2.5.4:* =dev-ruby/mail-2*:*
+       dev-ruby/rails-dom-testing:2"
+
+ruby_add_bdepend "test? (
+       dev-ruby/mocha
+)"
+
+all_ruby_prepare() {
+       # Set test environment to our hand.
+       rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+       sed -e '/\/load_paths/d' \
+               -e '1igem "railties", "~> 5.2.0"' \
+               -e '1igem "actionpack", "~> 5.2.0"' \
+               -e '1igem "activejob", "~> 5.2.0"' \
+               -i test/abstract_unit.rb || die "Unable to remove load paths"
+
+       # Avoid a test failing only on attachment ordering, since this is a
+       # security release.
+       sed -i -e '/adding inline attachments while rendering mail works/askip 
"gentoo: fails on ordering"' test/base_test.rb || die
+}

Reply via email to